package com.dkha.common.modules.vo.control;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * @version V1.0
 * @Description:
 * @Title:
 * @author: huangyugang
 * @date: 2019/12/11 15:21
 * @Copyright: 成都电科慧安
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
@ApiModel(value = "视频比对布控", description = "用于布控和底层传输统一参数格式")
public class VideoControlVo {
    @ApiModelProperty(value = "任务名称")
    private String taskName;

    @ApiModelProperty(value = "布控阈值")
    @NotNull(message = "布控阀值不能为空必须是0-1之间")
    @Max(value = 1,message = "布控阈值 最大值为1")
    @Min(value = 0,message = "布控阈值 最小值为0")
    private Double controlThreshold;

    @ApiModelProperty(value = "布控对象库ID列表")
    @NotNull
    @Size(min = 1)
    private List<String> libIds;

    @ApiModelProperty(value = "布控视频URL地址")
    @NotNull
    private String videourl;

}
