package com.dkha.common.modules.vo.warning;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @version V1.0
 * @Description: TODO(please write your description)
 * All rights 成都电科慧安
 * @Title: CameraVO
 * @Package com.dkha.common.modules.vo.warning
 * @author: panhui
 * @date: 2020/1/9 15:51
 * @Copyright: 成都电科慧安
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@ApiModel(value="摄像头数据", description="摄像头数据")
public class CameraVO {
    /**
     * 主键id
     * 分布式全局唯一ID 长整型类型
     */
    @ApiModelProperty(value = "摄像头id")
    private Long idFaceCamera;
    /**
     * 摄像头名称
     */
    @ApiModelProperty(value = "摄像头名称")
    private String cameraName;

    /**
     * 摄像头详细地址
     */
    @ApiModelProperty(value = "摄像头详细地址")
    private String cameraAddress;
    /**
     * 摄像头经度
     */
    @ApiModelProperty(value = "摄像头经度")
    public static final String CAMERA_LONGITUDE="camera_longitude";
    private String cameraLongitude;
    /**
     * 摄像头纬度
     */
    @ApiModelProperty(value = "摄像头纬度")
    public static final String CAMERA_LATITUDE="camera_latitude";
    private String cameraLatitude;
    /**
     * 是否运行 Y启动 N未启动
     */
    @ApiModelProperty(value = "是否运行,Y启动 N未启动")
    private String status;
}
