/**
 * Copyright (c) 2018 人人开源 All rights reserved.
 *
 * https://www.renren.io
 *
 * 版权所有，侵权必究！
 */

package com.dkha.common.redis;


/**
 * @author Mark sunlightcs@gmail.com
 * @since 1.0.0
 */
public class RedisKeys {
    /**
     * 系统参数Key
     */
    public static String getSysParamsKey(){
        return "sys:params";
    }

    /**
     * 验证码Key
     */
    public static String getCaptchaKey(String uuid){
        return "sys:captcha:" + uuid;
    }

    /**
     * socketSessionId Key
     */
    public static String getSessionIdKey(String sessionId){
        return "sys:sessionId:" + sessionId;
    }
    /**
     * 摄像头id
     * @param cameraId
     * @return
     */
    public static String getCameraSize(String cameraId){return "task:socket:"+cameraId;}


    /**
     * 用來軌跡追蹤保存摄像头信息
     * @param cameraId
     * @return
     */
    public static String getCameraByTrack(String time,String cameraId){return "task:track:"+time+":"+cameraId;}

    /**
     * 用來軌跡追蹤保存摄像头信息
     * @param faceId
     * @return
     */
    public static String getCameraByFaceId(String time,String cameraId,String faceId){return "task:track:"+time+":"+cameraId+":face:"+faceId;}

    /**
     * 用來軌跡追蹤保存摄像头信息
     * @param time
     * @param cameraId
     * @return
     */
    public static String getCameraByExpired(String time,String cameraId){return "task:expired:"+time+":"+cameraId;}

}
