package com.dkha.server.mappers;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dkha.server.modules.entities.ControlTask;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dkha.server.modules.entities.FaceCameraEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @version V1.0
 * @Description: 布控任务Mapper 接口
 * @Title:
 * @author: huangyugang
 * @date: 2019-12-09  10：25
 * @Copyright: 成都电科慧安
 */
@Mapper
public interface ControlTaskMapper extends BaseMapper<ControlTask> {

    List<ControlTask> getTaskList(@Param("page") Page page,
                              @Param("searchParam") Map searchParam);

    List<ControlTask> getviedoTaskList(@Param("page") Page page,
                                  @Param("searchParam") Map searchParam);

    List<FaceCameraEntity> getCameraByTaskID(@Param("taskid") String taskid);

    List<FaceCameraEntity> getCameraByTaskNo(@Param("taskno") String taskno);
    /**
     * 根据摄像头的区域ID转换为区域名称
     */
    List<String> getCameraRegionByReginlist(@Param("regionIds") List<Long> regionIds);
    /**
     * 根据任务ID转换库名称
     */
    List<String> getLibRegionBytaskid(@Param("taskid") String taskid);


    /**根据摄像头id获取任务信息*/
    List<ControlTask> getTaskInfoByCameraID(@Param("taskno") String taskno);
}

