package com.dkha.server.mappers;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dkha.server.modules.entities.FaceLibrary;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 库表 Mapper 接口
 * </p>
 *
 * @author Spring
 * @since 2019-12-09
 */
@Mapper
public interface FaceLibraryMapper extends BaseMapper<FaceLibrary> {
    /**
     * Library 分页查询个
     * @param page
     * @param factoryName  库名称
     * @return
     */
    List<FaceLibrary> getLibraryPage(@Param("page") Page page, @Param("factoryName") String factoryName);

    /**
     * 统计库对应的人脸数
     * @param idFactory
     * @return
     */
     Integer getLibraryCount(@Param("idFactory") Long idFactory);

    FaceLibrary getLibraryByFactoryName(@Param("factoryName") String factoryName);
}
