package com.dkha.server.mappers;




import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dkha.common.modules.vo.face.FaceTrackVO;
import com.dkha.server.modules.entities.FaceTrackEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 
 *
 * @author Mark sunlightcs@gmail.com
 * @since 1.0.0 2020-01-10
 */
@Mapper
public interface FaceTrackMapper extends BaseMapper<FaceTrackEntity> {
    /**
     * 根据摄像头和分组时间查询
     * @param idFaceCamera
     * @param packetTime
     * @return
     */
   List<FaceTrackEntity> querByidCameraAndTime(@Param("idFaceCamera") Long idFaceCamera, @Param("packetTime") String packetTime);
    /**
     * 根据摄像头Id和开始，结束时间，人脸ID
     * @param faceTrackVO
     * @return
     */
    List<FaceTrackEntity> queryByidCamerAndFaceId(@Param("faceTrackVO") FaceTrackVO faceTrackVO);

    /**
     * 根據開始時間和結束時間查詢庫id
     * @param faceTrackVO
     * @return
     */
    List<String> findIdFatoryByTime(@Param("faceTrackVO") FaceTrackVO faceTrackVO);

    /**
     * 根据图片路径和开始，结束时间
     * @param faceTrackVO
     * @return
     */
    List<FaceTrackEntity> queryByurlAndTime(@Param("faceTrackVO") FaceTrackVO faceTrackVO);
    /**
     * 根据图片路径和开始，结束时间和阈值
     * @param faceTrackVO
     * @return
     */
    List<FaceTrackEntity> queryBytrajectoryThreshold(@Param("faceTrackVO")FaceTrackVO faceTrackVO);

    /**
     * 根据人脸ID查询
     * @param idPortrait
     * @return
     */
    FaceTrackEntity queryByIdPortrait(@Param("idPortrait")String idPortrait);

    List<FaceTrackEntity> findTrackByFaceId(@Param("faceIds") List<String> faceIds);
}