package com.dkha.server.modules.entities;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * <p>
 * 布控任务
 * </p>
 *
 * @author Spring
 * @since 2019-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)

@ApiModel(value="ControlTask对象", description="布控任务")
public class ControlTask implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id_control_task", type = IdType.ID_WORKER)
    private Long idControlTask;

    @ApiModelProperty(value = "任务名称")

    private String taskName;

    @ApiModelProperty(value = "任务编号")
    @TableId(value = "task_no")
    private String taskNo;

    @ApiModelProperty(value = "布控对象(id 人像库id 或者上传图片id)")
    private String controlObject;

    @ApiModelProperty(value = "处置类型-码值  视频对比 -1 抓捕类1，监控类2，提示类0 默认选择0")
    private String disposalType;

    @ApiModelProperty(value = "布控类型-码值 长期布控 0，临时布控 1 默认选择0 ")
    private String controlType;

    @ApiModelProperty(value = "布控开始时间")
    private Date controlStartTime;

    @ApiModelProperty(value = "布控结束时间")
    private Date controlEndTime;

    @ApiModelProperty(value = "布控区域")
    private String controlRegion;

    @ApiModelProperty(value = "布控阈值")
    private Double controlThreshold;

    @ApiModelProperty(value = "布控状态-码值")
    private String controlStatus;

    @ApiModelProperty(value = "接收人员（人员id逗号隔开）")
    private String receive;

    @ApiModelProperty(value = "备注信息")
    private String remarks;

    @ApiModelProperty(value = "是否有效 Y有效 N无效")
    private String isValid;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "创建人")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @ApiModelProperty(value = "更新人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

    @ApiModelProperty(value = "库列表id")
    @TableField(exist=false)
    private List<String> libIds;

    @ApiModelProperty(value = "视频布控URL")
    private String viedourl;

    @ApiModelProperty(value = "任务库的列表")
    @TableField(exist=false)
    private String tasklibstr;

    @ApiModelProperty(value = "布控的摄像头ID列表")
    @TableField(exist=false)
    private List<FaceCameraEntity> listfacecamera;

    @ApiModelProperty(value = "上传图片布控的url")
    private String  imgurl;

    @ApiModelProperty(value = "视频布控状态")
    @TableField(exist=false)
    private String  taskstatus;

}

