package com.dkha.server.modules.entities;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.dkha.server.system.common.entity.CommonEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 摄像头表
 *
 * @author Mark sunlightcs@gmail.com
 * @since 1.0.0 2019-12-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("face_camera")
public class FaceCameraEntity extends CommonEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     * 分布式全局唯一ID 长整型类型
     */
    @TableId(type = IdType.ID_WORKER, value = "id_face_camera")
    @ApiModelProperty(value = "摄像头id")
    private Long idFaceCamera;
    /**
     * 摄像头名称
     */
    @ApiModelProperty(value = "摄像头名称")
    private String cameraName;
    /**
     * 摄像头层级区域-码值
     */
    @ApiModelProperty(value = "摄像头层级区域-码值")
    private String cameraRegionFirstlevel;
    @ApiModelProperty(value = "摄像头区域-码值")
    private String cameraRegion;

    @ApiModelProperty(value = "摄像头层级区域冗余字段")
    private String cameraRegionFirstlevelBackUp;

    /**
     * 摄像头详细地址
     */
    @ApiModelProperty(value = "摄像头详细地址")

    private String cameraAddress;
    /**
     * 摄像头经度
     */
    @ApiModelProperty(value = "摄像头经度")
    public static final String CAMERA_LONGITUDE="camera_longitude";
    private String cameraLongitude;
    /**
     * 摄像头纬度
     */
    @ApiModelProperty(value = "摄像头纬度")
    public static final String CAMERA_LATITUDE="camera_latitude";
    private String cameraLatitude;

    /**
     * 型号名称
     */
    @ApiModelProperty(value = "型号")
    private String version;

    /**
     * 位置类型-码值
     */
    @ApiModelProperty(value = "位置类型-码值")
    private String cameratLocationtypeId;

    @ApiModelProperty(value = "位置类型冗余字段")

    private String cameratLocationtypeIdBackUp;
    /**
     * 公安机关代码
     */
    @ApiModelProperty(value = "公安机关代码")

    private String publicSecurityCode;
    /**
     * 公安机关名称
     */
    @ApiModelProperty(value = "公安机关名称")

    private String publicSecurityName;
    /**
     * 建设单位
     */
    @ApiModelProperty(value = "建设单位")

    private String constructionUnit;
    /**
     * 管理单位
     */
    @ApiModelProperty(value = "管理单位")

    private String managementUnit;
    /**
     * 管理人员
     */
    @ApiModelProperty(value = "管理人员")

    private String managementPersonnel;
    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")

    private String contactNumber;
    /**
     * IP
     */
    @ApiModelProperty(value = "IP")
    private String ip;

    /**
     * 端口
     */
    @ApiModelProperty(value = "端口")
    private String port;

    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")

    private String userName;
    /**
     * 密码
     */
    @ApiModelProperty(value = "密码")

    private String passwd;
    /**
     * 品牌
     */
    @ApiModelProperty(value = "品牌")

    private String brand;

    /**
     * 品牌
     */
    @ApiModelProperty(value = "品牌id")
    private String idBrand;

    /**
     * rtsp地址
     */
    @ApiModelProperty(value = "rtsp地址")

    private String rtspUrl;
    /**
     * 备注信息
     */
    @ApiModelProperty(value = "备注信息")

    private String remarks;
    /**
     * 是否运行 Y启动 N未启动
     */
    @ApiModelProperty(value = "是否运行,Y启动 N未启动")
    private String status;

}