package com.dkha.server.modules.entities;

import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 预警信息
 * </p>
 *
 * @author Spring
 * @since 2019-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="WarningInformation对象", description="预警信息")
public class WarningInformation implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id_warning_information", type = IdType.ID_WORKER_STR)
    private String idWarningInformation;

    @ApiModelProperty(value = "接收参数")
    private String receiveJson;

    @ApiModelProperty(value = "布控任务id")
    private String idControlTask;

    @ApiModelProperty(value = "人像id/图片id")
    private String idPortrait;

    @ApiModelProperty(value = "预警类型-码值")
    private String type;

    @ApiModelProperty(value = "卡口id")
    private String idFaceBayonet;

    @ApiModelProperty(value = "比对分数")
    private Double score;

    @ApiModelProperty(value = "处理结果类型（1盘查 2抓捕）")
    private String processResultType;

    @ApiModelProperty(value = "处理结果")
    private String processResult;

    @ApiModelProperty(value = "是否有效 Y有效 N无效")
    private String isValid;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;


}
