package com.dkha.server.modules.entities.faceCamera;

import com.dkha.common.util.UtilValidate;
import com.dkha.common.util.excel.ExcelField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@ApiModel(description = "摄像头excel")
public class FaceCameraExcel {
    @ApiModelProperty(value = "摄像头名称")
    @ExcelField(title = "摄像头名称")
    public String cameraName;

    @ApiModelProperty(value = "摄像头详细地址")
    public String cameraAddress;

    @ApiModelProperty(value = "摄像头经度")
    @ExcelField(title = "摄像头坐标经度")
    public String cameraLongitude;

    @ApiModelProperty(value = "摄像头纬度")
    @ExcelField(title = "摄像头坐标纬度")
    public String cameraLatitude;

    @ApiModelProperty(value = "型号")
    @ExcelField(title = "摄像头厂家")
    public String version;


    @ApiModelProperty(value = "IP")
    @ExcelField(title = "摄像头IP")
    public String ip;

    @ApiModelProperty(value = "用户名")
    @ExcelField(title = "摄像头用户名")
    public String userName;

    @ExcelField(title = "摄像头密码")
    @ApiModelProperty(value = "密码")
    public String passwd;

    @ApiModelProperty(value = "品牌")
    @ExcelField(title = "品牌")
    public String brand;

    @ExcelField(title = "品牌")
    @ApiModelProperty(value = "rtsp地址")
    public String rtspUrl;
    @ApiModelProperty(value = "提示信息")
    @ExcelField(title = "提示信息")
    public String message;


}
