package com.dkha.server.system.modules.sys.dao;

import com.alibaba.druid.sql.ast.statement.SQLForeignKeyImpl;
import com.dkha.server.system.common.dao.BaseDao;
import com.dkha.server.system.modules.sys.entity.SysRegionEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 行政区域
 *
 * @author Mark sunlightcs@gmail.com
 */
@Mapper
public interface SysRegionDao extends BaseDao<SysRegionEntity> {

    List<SysRegionEntity> getList(Map<String, Object> params);

    List<SysRegionEntity> getListByLevel(Integer treeLevel);

    List<Map<String, Object>> getTreeList();

    SysRegionEntity getById(Long id);

    int getCountByPid(Long pid);

    /**
     * 摄像头卡口
     *
     * @param pid
     * @return
     */
    List<Map<String, Object>> getRegion(@Param("pid") long pid);

    /**
     * 获取当前区域下的摄像头
     *
     * @param pid
     * @param
     * @return
     */
    List<Map<String, Object>> getRegion1(@Param("pid") long pid);

}