package com.dkha.server.system.modules.sys.service;

import com.dkha.server.system.common.page.PageData;
import com.dkha.server.system.common.service.BaseService;
import com.dkha.server.system.modules.sys.dto.SysDictTypeDTO;
import com.dkha.server.system.modules.sys.entity.DictType;
import com.dkha.server.system.modules.sys.entity.SysDictDataEntity;
import com.dkha.server.system.modules.sys.entity.SysDictTypeEntity;

import java.util.List;
import java.util.Map;

public interface SysDictTypeService extends BaseService<SysDictTypeEntity> {

    PageData<SysDictTypeDTO> page(Map<String, Object> params);

    SysDictTypeDTO get(Long id);

    void save(SysDictTypeDTO dto);

    void update(SysDictTypeDTO dto);

    void delete(Long[] ids);

    /**
     * 获取所有字典
     */
    List<DictType> getAllList();

    /**
     * 按类型获取
     * @param type
     * @return
     */
    List<SysDictDataEntity> getByType(String type);

}