package com.dkha.task.modual.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.Value;
import lombok.experimental.Accessors;
import java.io.Serializable;
import java.util.Date;

/**
 * 
 *
 * @author Mark sunlightcs@gmail.com
 * @since 1.0.0 2020-01-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="FaceTrackEntity对象", description="轨迹对象")
@TableName(value = "face_track")
public class FaceTrackEntity implements Serializable {
	private static final long serialVersionUID = 1L;

    /**
     * 轨迹id
     */
	@ApiModelProperty(value = "id_face_track")
	@TableId(value = "id_face_track", type = IdType.ID_WORKER)
	private Long idFaceTrack;
    /**
     * 人像id
     */
	private Long idPortrait;
    /**
     * 摄像头id
     */
	private Long idFaceCamera;
    /**
     * 库id
     */
	private Long idFactory;
    /**
     * 人物数据
     */
	private String characterData;
    /**
     * 关联数据
     */
	private String linkedData;
    /**
     * 分组时间
     */
	private String packetTime;
    /**
     * 当月数据关联
     */
	private String monthData;
    /**
     * 轨迹判定阈值
     */
	private Double trajectoryThreshold;
    /**
     * 创建人
     */
	private String createBy;
    /**
     * 创建时间
     */
	private Date createTime;
    /**
     * 更新人
     */
	private String updateBy;
    /**
     * 更新时间
     */
	private Date updateTime;
}