package com.dkha.task.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.dkha.task.modual.entity.FaceTrackEntity;
import com.dkha.task.modual.vo.FaceTrackVO;

import java.util.List;

/**
 * 
 *
 * @author Mark sunlightcs@gmail.com
 * @since 1.0.0 2020-01-10
 */
public interface FaceTrackService extends IService<FaceTrackEntity> {
    /**
     * 新增
     * @param faceTrackEntity
     * @return
     */
    int addFaceTrackEntity(FaceTrackEntity faceTrackEntity);
    /**
     * 根据摄像头和分组时间查询
     * @param idFaceCamera
     * @param packetTime
     * @return
     */
    List<FaceTrackEntity> querByidCameraAndTime(Long idFaceCamera, String  packetTime);

    /**
     * 根据摄像头Id和开始，结束时间，人脸ID
     * @param faceTrackVO
     * @return
     */
    List<FaceTrackEntity> queryByidCamerAndFaceId(FaceTrackVO faceTrackVO);

    /**
     * 根据图片路径和开始，结束时间
     * @param faceTrackVO
     * @return
     */
    List<FaceTrackEntity> queryByurlAndTime(FaceTrackVO faceTrackVO);
}